WindowEvent = {};
WindowEvent_mt = Class(WindowEvent, Event);

InitEventClass(WindowEvent, "WindowEvent");

function WindowEvent:emptyNew()
    local self = Event:new(WindowEvent_mt );
    self.className="WindowEvent";
    return self;
end;

function WindowEvent:new(vehicle, Window)
    self.vehicle = vehicle;
    self.Window = Window;
    return self;
end;

function WindowEvent:readStream(streamId, connection)
    local id = streamReadInt32(streamId);
    self.Window = streamReadBool(streamId);
    self.vehicle = networkGetObject(id);
    self:run(connection);
end;

function WindowEvent:writeStream(streamId, connection)
    streamWriteInt32(streamId, networkGetObjectId(self.vehicle));
    streamWriteBool(streamId, self.Window );
end;

function WindowEvent:run(connection)
    self.vehicle:setWindow(self.Window, true);
	if not connection:getIsServer() then
		g_server:broadcastEvent(WindowEvent:new(self.vehicle, self.Window), nil, connection, self.object);
	end;
end;

function WindowEvent.sendEvent(vehicle, Window, noEventSend)
	if noEventSend == nil or noEventSend == false then
		if g_server ~= nil then 
			g_server:broadcastEvent(WindowEvent:new(vehicle, Window), nil, nil, vehicle);
		else
			g_client:getServerConnection():sendEvent(WindowEvent:new(vehicle, Window));
		end;
	end;
end;
